Subject: [bug#40258] [PATCH] gnu: Add emacs-flycheck-elm.

From: Nicolas Goaziou <[email-masked]>
Date: Mon, 30 Mar 2020 15:10:06 +0200

Hello,

John Soo <[email-masked]> writes:

> Subject: [PATCH] gnu: Add emacs-flycheck-elm.
>
> * gnu/packages/emacs-xyz.scm (emacs-flycheck-elm): New variable.

Thank you.

> +;;; Copyright © 2020 John Soo <[email-masked]>

You can remove this line, already applied in a previous patch.

> +(define-public emacs-flycheck-elm
> +  (package
> +    (name "emacs-flycheck-elm")
> +    (version "debd0af")

This is not a proper version string (not monotonic). You should bind
`commit' to "debd0af563cb6c2944367a691c7fa3021d9378c1" and `revision' to
"O" at the top of your package definition, and use

  (version (git-version "0" revision commit))

> +         (commit version)))

In the case above, this should be:

  (commit commit)

> +    (inputs
> +     `(("emacs-flycheck" ,emacs-flycheck)
> +       ("emacs-let-alist" ,emacs-let-alist)
> +       ("emacs-seq" ,emacs-seq)))

I don't think you need "emacs-seq" since we build packages with Emacs
26.3, which includes "seq.el" already.

> +    (build-system emacs-build-system)
> +    (home-page "https://github.com/bsermons/flycheck-elm")
> +    (synopsis "Flycheck support for the elm language")
> +    (description "Flycheck support for the elm language.")

Nitpick: I would use Elm.

The description needs to be a full sentence.

> +    (license license:gpl2+)))

All source code files are GPL3+, so this probably makes the project
GPL3+ licensed. LICENSE file is GPL2 (not 2+), but I would trust source
code in this case.

You may want to tell upstream about this discrepancy.

Could you send an updated patch?

Regards,

-- 
Nicolas Goaziou